<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('functions_func_f.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="contents">
<div class="textblock">Here is a list of all functions with links to the classes they belong to:</div>

<h3><a id="index_f" name="index_f"></a>- f -</h3><ul>
<li>FeedForwardNet()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#a40d5999e0803420f02e2285aee4d7f19">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>FindAttribute()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_element.html#a157750dac8037a316fd1af1a973dfa2c">tinyxml2::XMLElement</a></li>
<li>FindOrCreateAttribute()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_element.html#ac9d8fc849ec8acf46678217de011e896">tinyxml2::XMLElement</a></li>
<li>FirstAttribute()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_element.html#a4a7c4392658833bb8138c474d15a805a">tinyxml2::XMLElement</a></li>
<li>FirstChild()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html#aef06bd16cb308652a32b864b0a743136">tinyxml2::XMLConstHandle</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_handle.html#a536447dc7f54c0cd11e031dad94795ae">tinyxml2::XMLHandle</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#abcc2e572dce329539689b426a0840661">tinyxml2::XMLNode</a></li>
<li>FirstChildElement()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html#ac747db472ffc55c5af2e82ffec813640">tinyxml2::XMLConstHandle</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_handle.html#a74b04dd0f15e0bf01860e282b840b6a3">tinyxml2::XMLHandle</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a1bec132dcf085284e0a10755f2cf0d57">tinyxml2::XMLNode</a></li>
<li>Fits()&#160;:&#160;<a class="el" href="structtinyxml2_1_1_long_fits_into_size_t_minus_one.html#a3057710104ab733963eb32fda0bc374c">tinyxml2::LongFitsIntoSizeTMinusOne&lt; bool &gt;</a>, <a class="el" href="structtinyxml2_1_1_long_fits_into_size_t_minus_one_3_01false_01_4.html#a29b01087f38a951276df69d358dc0764">tinyxml2::LongFitsIntoSizeTMinusOne&lt; false &gt;</a></li>
<li>FloatAttribute()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_element.html#ab1f4be2332e27dc640e9b6abd01d64dd">tinyxml2::XMLElement</a></li>
<li>FloatText()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_element.html#a45444eb21f99ca46101545992dc2e927">tinyxml2::XMLElement</a></li>
<li>FloatValue()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html#a27797b45d21c981257720db94f5f8801">tinyxml2::XMLAttribute</a></li>
<li>Free()&#160;:&#160;<a class="el" href="classtinyxml2_1_1_mem_pool.html#a49e3bfac2cba2ebd6776b31e571f64f7">tinyxml2::MemPool</a>, <a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a408ce0918e9d3d5e5e1cc4896944875f">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
